ru.bitel.bgbilling.modules.smarthouse.common.bean

## Class SmartHousePackageBase

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.smarthouse.common.bean.SmartHousePackageBase

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class SmartHousePackageBase
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartHousePackageBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getDurationUnitCode()`
    `int` | `getDurationValue()`
    `java.lang.String` | `getOptionNames()`
    `Period` | `getPeriod()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDurationUnitCode(int durationUnitCode)`
    `void` | `setDurationValue(int durationValue)`
    `void` | `setOptionNames(java.lang.String optionNames)`
    `void` | `setPeriod(Period period)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### SmartHousePackageBase

          public SmartHousePackageBase()

  - ### Method Detail

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### getOptionNames

          public java.lang.String getOptionNames()

    - #### setOptionNames

          public void setOptionNames(java.lang.String optionNames)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDurationValue

          public int getDurationValue()

    - #### setDurationValue

          public void setDurationValue(int durationValue)

    - #### getDurationUnitCode

          public int getDurationUnitCode()

    - #### setDurationUnitCode

          public void setDurationUnitCode(int durationUnitCode)